import request from '@/utils/request'

export function list(query) {
  return request({
    url: '/medal-type/list',
    method: 'get',
    params:query
  })
}

export function createItem(data) {
  return request({
    url: '/medal-type/add',
    method: 'post',
    data
  })
}

export function updateItem(data) {
  return request({
    url: '/medal-type/edit',
    method: 'post',
    data
  })
}

export function deleteitem(query) {
  return request({
    url: '/medal-type/remove',
    method: 'post',
    params:query
  })
}

export function dataList(query) {
  return request({
    url: '/medal-level/list',
    method: 'get',
    params:query
  })
}
export function dataAdd(data) {
  return request({
    url: '/medal-level/add',
    method: 'post',
    data
  })
}
export function dataEdit(data) {
  return request({
    url: '/medal-level/edit',
    method: 'post',
    data
  })
}
export function dataRemove(query) {
  return request({
    url: '/medal-level/remove',
    method: 'post',
    params:query
  })
}

export function refresh(query) {
  return request({
    url: '/medal-type/refresh',
    method: 'get',
    params:query
  })
}
